Bug 146208 - [NEW PORT] devel/rubygem-notify: Provides notification functionalities on cross platforms
Summary: [NEW PORT] devel/rubygem-notify: Provides notification functionalities on cro...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-01 03:20 UTC by ports@c0decafe.net
Modified: 2010-05-05 13:11 UTC (History)
0 users

See Also:


Attachments
rubygem-notify-0.2.1.shar (1.59 KB, text/plain)
2010-05-01 03:20 UTC, ports@c0decafe.net
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description ports@c0decafe.net 2010-05-01 03:20:07 UTC
"Notify" provides notification functionalities on cross platforms.

WWW:	http://github.com/jugyo/notify

Generated with FreeBSD Port Tools 0.99
Comment 1 wenheping 2010-05-05 09:10:08 UTC
I can not fetch the source.

wen
Comment 2 ports@c0decafe.net 2010-05-05 09:20:21 UTC
Hello,

On Wed, May 5, 2010 at 11:10 AM, wen heping <wenheping@gmail.com> wrote:
> I can not fetch the source.

Are you getting an http error, or is the host unreachable for you?

It is working fine for me:

~%HEAD http://rubygems.org/downloads/notify-0.2.1.gem
200 OK
Connection: close
[.snap.]
ETag: "e5e28178aca7ba4dc5fbbe148f8fc00f"
Server: AmazonS3
Content-Length: 5120
Content-Type: binary/octet-stream
[.snap.]


Or am i missing something ?
Comment 3 wenheping 2010-05-05 11:55:15 UTC
For me , I have to add this line to the Makefile then I can fetch the source:

FETCH_ARGS=             -Rr


wen

On Wed, May 5, 2010 at 4:20 PM,  <ports@c0decafe.net> wrote:
> Hello,
>
> On Wed, May 5, 2010 at 11:10 AM, wen heping <wenheping@gmail.com> wrote:
>> I can not fetch the source.
>
> Are you getting an http error, or is the host unreachable for you?
>
> It is working fine for me:
>
> ~%HEAD http://rubygems.org/downloads/notify-0.2.1.gem
> 200 OK
> Connection: close
> [.snap.]
> ETag: "e5e28178aca7ba4dc5fbbe148f8fc00f"
> Server: AmazonS3
> Content-Length: 5120
> Content-Type: binary/octet-stream
> [.snap.]
>
>
> Or am i missing something ?
>
Comment 4 ports@c0decafe.net 2010-05-05 12:08:56 UTC
Hello,

On Wed, May 5, 2010 at 1:55 PM, wen heping <wenheping@gmail.com> wrote:
> For me , I have to add this line to the Makefile then I can fetch the sou=
rce:
> FETCH_ARGS=3D =A0 =A0 =A0 =A0 =A0 =A0 -Rr

my bad, i had FETCH_ARGS set without the default -A

[is the -A rational documented somewhere?]

Is the patch below ok?

--- Makefile.orig       2010-05-05 14:05:51.000000000 +0300
+++ Makefile    2010-05-05 14:06:27.000000000 +0300
@@ -8,7 +8,7 @@
 PORTNAME=3D      notify
 PORTVERSION=3D   0.2.1
 CATEGORIES=3D    devel rubygems
-MASTER_SITES=3D  http://rubygems.org/downloads/
+MASTER_SITES=3D  http://production.cf.rubygems.org/gems/

 MAINTAINER=3D    ports@c0decafe.net
 COMMENT=3D       Provides notification functionalities on cross platforms
Comment 5 dfilter service freebsd_committer 2010-05-05 13:07:27 UTC
wen         2010-05-05 12:07:14 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/rubygem-notify Makefile distinfo pkg-descr 
  Log:
  rubygem-notify provides notification functionalities on cross platforms.
  
  WWW:    http://github.com/jugyo/notify
  
  PR:             ports/146208
  Submitted by:   "ports@c0decafe.net" <ports@c0decafe.net>
  
  Revision  Changes    Path
  1.3913    +1 -0      ports/devel/Makefile
  1.1       +22 -0     ports/devel/rubygem-notify/Makefile (new)
  1.1       +3 -0      ports/devel/rubygem-notify/distinfo (new)
  1.1       +3 -0      ports/devel/rubygem-notify/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Wen Heping freebsd_committer 2010-05-05 13:08:19 UTC
State Changed
From-To: open->closed

New port added. Thanks!